Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.itest
Class SendPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ix.iface.util.VerticalPanel
                          ix.itest.SendPanel

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  ChatFrame.ChatSendPanel, ItestFrame.ITestSendPanel

    public class SendPanel

extends VerticalPanel
implements java.awt.event.ActionListener

I-Test and Messenger panel for sending messages.

See Also:
  Serialized Form

Nested Class Summary
`(package private) class` | `SendPanel.ActivityControls`
`(package private) class` | `SendPanel.AnnotationControls`
`(package private) class` | `SendPanel.CardPanel`
`(package private) class` | `SendPanel.ChatMessageControls`
`(package private) class` | `SendPanel.ConstraintControls`
`(package private) class` | `SendPanel.IssueActivityControls`
`(package private) class` | `SendPanel.IssueControls`
`(package private) class` | `SendPanel.ReportControls`
`(package private) class` | `SendPanel.SendControls`
`(package private) class` | `SendPanel.SendControlsPanel`
`(package private) class` | `SendPanel.SendTextArea`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`(package private) java.awt.event.ActionListener` | `actionListener`
`(package private) IXAgent` | `agent`
`(package private) ContactManager` | `contactManager`
`(package private) SendPanel.SendTextArea` | `contentText`
`(package private) javax.swing.DefaultComboBoxModel` | `destinationChoiceModel`
`(package private) RadioButtonBox` | `prioritySelector`
`(package private) javax.swing.JToggleButton.ToggleButtonModel` | `reportCheckModel`
`(package private) SendPanel.SendControlsPanel` | `sendControls`
`(package private) javax.swing.JButton` | `styleButton`
`(package private) RadioButtonBox` | `typeSelector`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SendPanel(IXAgent agent)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)`
`void` | `editMessageColor()`
`void` | `initActivity(Activity act)`
`void` | `initConstraint(PatternAssignment pv)`
`void` | `initConstraintForMe(PatternAssignment pv)`
`void` | `initIssue(Issue issue)`
`void` | `initReport(TaskItem item, Name reportTo, Name ref, ReportType type)`
`void` | `initToMe()`
`protected javax.swing.JPanel` | `makeControlPanel()`
`protected RadioButtonBox` | `makePriorityControl()`
`protected RadioButtonBox` | `makeTypeControl()`
`protected java.lang.Object` | `objectFromControls()` Construct an object from the current state of the GUI.
`protected Priority` | `priorityFromControls()` Obtain a priority from the current state of the GUI.
`protected void` | `send(java.lang.String destination, Sendable contents)` Sends to the indicated destination.
`void` | `sendCopy(java.lang.String destination, Sendable contents)` Used to send things "as if by the Messenger".
`protected void` | `sending(java.lang.String destination, Sendable contents)` A hook to allow subclasses to see messages just before they're sent.
`protected void` | `sendTo(java.lang.String destination)` Construct an object from the current state of the GUI and send it to the specified destination.
`protected void` | `sendToGroup(Sendable contents)`
`void` | `transformToActivity(Issue issue)`
`protected void` | `typeChangedTo(java.lang.String newType)`

Methods inherited from class ix.iface.util.VerticalPanel
`add, add, add, add, add, addFixedHeight`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### agent

    IXAgent agent

### contactManager

    ContactManager contactManager

### actionListener

    java.awt.event.ActionListener actionListener

### contentText

    SendPanel.SendTextArea contentText

### typeSelector

    RadioButtonBox typeSelector

### prioritySelector

    RadioButtonBox prioritySelector

### sendControls

    SendPanel.SendControlsPanel sendControls

### styleButton

    javax.swing.JButton styleButton

### reportCheckModel

    javax.swing.JToggleButton.ToggleButtonModel reportCheckModel

### destinationChoiceModel

    javax.swing.DefaultComboBoxModel destinationChoiceModel

Constructor Detail

### SendPanel

    public SendPanel(IXAgent agent)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### editMessageColor

    public void editMessageColor()

### initIssue

    public void initIssue(Issue issue)

### initActivity

    public void initActivity(Activity act)

### transformToActivity

    public void transformToActivity(Issue issue)

### initConstraint

    public void initConstraint(PatternAssignment pv)

### initConstraintForMe

    public void initConstraintForMe(PatternAssignment pv)

### initToMe

    public void initToMe()

### initReport

    public void initReport(TaskItem item,
                           Name reportTo,
                           Name ref,
                           ReportType type)

### typeChangedTo

    protected void typeChangedTo(java.lang.String newType)

### sendTo

    protected void sendTo(java.lang.String destination)

  Construct an object from the current state of the GUI and send it to the specified destination.

  See Also:
    `send(String, Sendable)`

### send

    protected void send(java.lang.String destination,
                        Sendable contents)

  Sends to the indicated destination. If the destination is "me", the contents are given directly to this agent's handleInput method without going via IPC.

  All of the SendPanel's sends go via this method. It calls `sending(String, Sendable)` just before the sendable object is sent.

  N.B. This method may modify the contents object. Usually, that is no problem for internal use, because the object will have been newly constructed from the panel's GUI. If modification would be a problem, however, the sendCopy method should be used instead.

  See Also:
    `sendCopy(String, Sendable)`, `IXAgent.handleInput(ix.util.IPC.InputMessage)`

### sending

    protected void sending(java.lang.String destination,
                           Sendable contents)

  A hook to allow subclasses to see messages just before they're sent. For example, a subclass may want to write a description of the message to a transcript area.

### sendCopy

    public void sendCopy(java.lang.String destination,
                         Sendable contents)

  Used to send things "as if by the Messenger". The contents are copied because it may be modified by the send method and because if sent to "me" the very same object will be received and might be modified later on. (Consider, say, an issue from the "Test" menu. If sent to "me", it might later be modified if its status, priority, etc changed, and we don't want to change the test menu's issue in case we use the same test again. Sending a copy avoids this problem.

  See Also:
    `send(String, Sendable)`

### sendToGroup

    protected void sendToGroup(Sendable contents)

### objectFromControls

    protected java.lang.Object objectFromControls()

  Construct an object from the current state of the GUI. The object will be an Issue, Activity, Constraint, Report, or ChatMessage.

### priorityFromControls

    protected Priority priorityFromControls()

  Obtain a priority from the current state of the GUI.

### makeControlPanel

    protected javax.swing.JPanel makeControlPanel()

### makeTypeControl

    protected RadioButtonBox makeTypeControl()

### makePriorityControl

    protected RadioButtonBox makePriorityControl()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD